Start Quick Present
POST
/api/v1/presentation-overrides
const url = 'https://example.com/api/v1/presentation-overrides';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"targetType":"screen","targetId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","contentType":"playlist","contentId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","durationMinutes":0,"afterAction":"resume","wakeDisplay":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/presentation-overrides \ --header 'Content-Type: application/json' \ --data '{ "targetType": "screen", "targetId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "contentType": "playlist", "contentId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "durationMinutes": 0, "afterAction": "resume", "wakeDisplay": true }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
targetType
required
string
targetId
required
string format: uuid
contentType
required
string
contentId
required
string format: uuid
durationMinutes
required
integer
afterAction
required
string
wakeDisplay
required
boolean
Responses
Section titled “ Responses ”Quick Present started
Destination conflicts with AirPlay or another temporary presentation
Destination or content validation failed